function [files,videoinfo,JPEG_quality,features] = applyNetworkToMPEG2(path,net,directorio,bitrate)        

v = mmread(path);

videoinfo.width = v.width;
videoinfo.height = v.height;
videoinfo.rate = v.rate;
%start_time = now;

Bitrate_Bits_Pixel = 1000 * (bitrate / (videoinfo.rate*videoinfo.width*videoinfo.height));

idx_barra = findstr(directorio,'/');
dir_input = [directorio(1:idx_barra(end)) 'input'];

if ~exist(dir_input,'dir')
    mkdir(dir_input);
    copiar = 1;
else
    copiar = 0;
end

FRAMES_INI = 30;
MAX_JPEG_QUALITY = 95;
MIN_JPEG_QUALITY = 15;

JPEG_quality = zeros(1,v.nrFramesTotal);
inter = -3:4;
for k=1:v.nrFramesTotal
    I = v.frames(k).cdata;
    if k > FRAMES_INI+1
        I_k_1 = v.frames(k-1).cdata;
        I_k_2 = v.frames(k-2).cdata;
        feat_1 = featuresFrameMPEG2(I_k_1,I,Bitrate_Bits_Pixel);
        feat_2 = featuresFrameMPEG2(I_k_2,I_k_1,Bitrate_Bits_Pixel);
        feat = [feat_2(1,:) feat_1(1,:)];
        features(k,:) = feat;

        JPEG_quality(k) = sim(net,feat');

	% save('prueba_2.mat','net','feat');
	%exit;	
        if JPEG_quality(k) < MIN_JPEG_QUALITY
            JPEG_quality(k) = MIN_JPEG_QUALITY;
        elseif JPEG_quality(k) > MAX_JPEG_QUALITY
            JPEG_quality(k) = MAX_JPEG_QUALITY;
        end
        
    else
        JPEG_quality(k) = MAX_JPEG_QUALITY;
        features(k,:) = zeros(1,14);
    end
    
    %disp(['k: ' num2str(k) ' JPEG_Q: ' num2str(JPEG_quality(k))]);
        
    s_input = sprintf('%s/%07d.bmp',dir_input,k);
    s_output = sprintf('%s/%07d.bmp',directorio,k);

    I_ycc = uint8(colorspace('rgb->ycc',I));
    if ~exist(s_output,'file')
        bank = zeros(size(I,1),size(I,2),size(I,3),length(inter)*length(inter));
        cont = 1;
        for i=1:length(inter)
            for j=1:length(inter)
                Output = circshift(I_ycc,[inter(i) inter(j)]);
%                 Image_temp = colorspace('rgb->ycc',Output);
                for m=1:3
                    CoeficientesDCT=bdct(Output(:,:,m));
                    if m~=1; num = 1; else num=0; end
                    TablaCuantificacion = jpeg_qtable(JPEG_quality(k), num);   
                    CoeficientesDCTCuantizados = quantize(CoeficientesDCT,TablaCuantificacion);
                    CoeficientesDCTRecuperados=dequantize(CoeficientesDCTCuantizados,TablaCuantificacion); 
                    O(:,:,m)=ibdct(CoeficientesDCTRecuperados);
                end

                bank(:,:,:,cont) = circshift(O,[-inter(i) -inter(j)]);
                cont = cont + 1;
            end
        end
        out_ycc = mean(bank,4);

        out = uint8(colorspace('ycc->rgb',out_ycc)*255);
        
        if copiar || ~exist(s_input,'file')
            imwrite(uint8(I), s_input, 'bmp');            
        end
        
        imwrite(uint8(out), s_output, 'bmp');            
    end
        
    files(k).input = s_input;
    files(k).output = s_output;
    if mod(k,10) == 0
        disp(['Analyzed ' num2str(k) ' of ' num2str(v.nrFramesTotal) ' frames']);
    end
end

