function [pathVideoOutput,realBitrate] = codecVideoMPEG4(pathVideoInput,bitrate,code)

idx_barras = findstr(pathVideoInput,'/');
log_file = [pathVideoInput(idx_barras(end)+1:end-4) '_log.txt'];

sequenceName = pathVideoInput(idx_barras(end)+1:end-4);
pathVideoOutput = [pathVideoInput(1:idx_barras(end)) upper(code) '/'];

if ~exist(pathVideoOutput,'dir')
     mkdir(pathVideoOutput);
end

pathVideoOutput = [pathVideoOutput sequenceName  '_b' num2str(bitrate) '.avi']

if ~exist(pathVideoOutput,'file')
    if strcmpi(code,'libx264')
        str = ['ffmpeg_new -y -i "' pathVideoInput '" -c:v ' code ' -crf ' num2str(bitrate) ' -pix_fmt yuv420p "' pathVideoOutput '" 2> ' log_file];
    else
        str = ['ffmpeg -vstats_file ' log_file ' -i "' pathVideoInput '" -y -b ' num2str(bitrate) 'k -vcodec ' code ' "' pathVideoOutput '"'];
    end
	%disp(str);
	system(str);

	fl = fopen(log_file);
    if fl == -1
        disp('Error en la generacin del video');
        realBitrate = -1;
    else
        str = fread(fl, '*char')';
        fclose(fl);
        
        if strcmpi(code,'libx264')
            idx = strfind(str,'bitrate=');
            if ~isempty(idx)
                substr = str(idx(end):idx(end)+25);
                s1 = regexp(substr, '[0-9]');
                idxpunto = strfind(substr,'.');
                s1 = sort([s1 idxpunto]);
                realBitrate = str2double(substr(s1));
            else
                error('Cadena no encontrada');
            end
        else
            idx = findstr(str,'type= I');

            if ~isempty(idx)
                substr = str(idx(end)-50:idx(end));
                idx2 = findstr(substr,'avg_br');
                substr2 = substr(idx2:end);
                s1 = regexp(substr2, '[0-9]');
                idxpunto = findstr(substr2,'.');
                s1 = sort([s1 idxpunto]);
                realBitrate = str2double(substr2(s1));
            end
        end
        delete(log_file);
    end
else
	realBitrate = -1;
end


