function feat = featuresFrameMPEG2(I_ant,I,bit)

I_ant_ycc = colorspace('rgb->ycc',I_ant);
I_ycc = colorspace('rgb->ycc',I);

for j=1:3
    C = bdct(I_ycc(:,:,j));
    Cr = im2vec(C,[8 8]);
    Rec = Cr(2:end,:);
    M.SumaCoefDCT(j,:) = sum(abs(Rec),1);
    M.SumaCoefDCT_Frame(j) = sum(M.SumaCoefDCT(j,:)) / length(M.SumaCoefDCT(j,:));

    hh1 = [1 2 1; 0 0 0;-1 -2 -1];
    hh2 = [-1 -2 -1; 0 0 0;1 2 1];
    hv1 = hh1';
    hv2 = hh2';
    BWh1S = imfilter(double(I_ycc(:,:,j)),hh1);
    BWh2S = imfilter(double(I_ycc(:,:,j)),hh2);
    BWh = sqrt(BWh1S.^2 + BWh2S.^2);

    BWv1S = imfilter(double(I_ycc(:,:,j)),hv1);
    BWv2S = imfilter(double(I_ycc(:,:,j)),hv2);
    BWv = sqrt(BWv1S.^2 + BWv2S.^2);

    F = sqrt(BWh.^2 + BWv.^2);
    %F = edge(L_i,'sobel','both','nothinning');

    Fr = im2vec(F,[8 8]);
    M.Sobel(j,:) = sum(abs(Fr),1);
    M.Sobel_Frame(j) = sum(M.Sobel(j,:)) / length(M.Sobel(j,:));

    difI = sqrt((double(I_ycc(:,:,j)) - double(I_ant_ycc(:,:,j))).^2);   
    M.Actividad(j,:) = sum(abs(im2vec(difI,[8 8])),1);
    M.Actividad_Frame(j) = sum(M.Actividad(j,:)) / length(M.Actividad(j,:));

    C=bdct(difI);
    M.SumaCoefDCT_Diferencia(j,:) = sum(abs(im2vec(C,[8 8])),1);
    M.SumaCoefDCT_Diferencia_Frame(j) = sum(M.SumaCoefDCT_Diferencia(j,:)) / length(M.SumaCoefDCT_Diferencia(j,:));

    M.Bitrate(j,:) = bit*ones(1,length(M.Actividad(j,:)));
    M.Bitrate_Frame(j) = bit;

    bloques = im2vec(double(I_ycc(:,:,j)),[8 8]);
    M.Desviacion(j,:) = std(bloques);
    M.Desviacion_Frame(j) = sum(M.Desviacion(j,:)) / length(M.Desviacion(j,:));

    blockiness = NormalizedBlockiness(normalizeColorSpace(double(I_ycc),'YCC'));
    M.Blockiness(j,:) = blockiness*ones(1,length(M.Actividad(j,:)));
    M.Blockiness_Frame(j) = blockiness;
end

features = {'Bitrate', 'SumaCoefDCT', 'Sobel', 'Actividad', 'SumaCoefDCT_Diferencia', 'Desviacion','Blockiness'};

feat =  zeros(3, length(features));
for j=1:length(features)
   feat_frame = [features{j} '_Frame'];
   feat(:,j) = M.(feat_frame);
end
