% Generate a comparative video, where the input stream is on the left and
% the output stream is on the right
function generateComparativeVideo(path, extension)

listado_output = ls([path '/*.' extension]);
listado_input = ls([path '/input/*.' extension]);

tamano = size(listado_output);
K = tamano(1);

mov = avifile([path '/comparative.avi'], 'compression' , 'none', 'fps', 15);
for i=1:K
    
    frame_output = imread([path '/' listado_output(i,:)]);
    frame_input = imread([path 'input/' listado_input(i,:)]);
    
    dimensiones=size(frame_output);
  
    F1.cdata = zeros(dimensiones(1),dimensiones(2)*2 + 10,3);
    F1.cdata(1:dimensiones(1),1:dimensiones(2),:) = uint8(frame_input);
    F1.cdata(1:dimensiones(1),dimensiones(2)+11:dimensiones(2)*2+10,:) = uint8(frame_output);
    
    F1.colormap = [];
    F1.cdata = uint8(F1.cdata);
    mov = addframe(mov,F1);
   
end

mov= close(mov);

